from django.conf.urls import url

from staff import views as staff_views

from staff.rfid import views

urlpatterns = views.RfidApi.django_patterns()

urlpatterns += [
    url(r'^badge_save/$', staff_views.echo_binary, kwargs={'content_type': 'image/png'}, name='echo_picture'),
    url(r'export/$', views.sexport, name='export'),
    url(r'export/(?P<key>\d+)/$', views.sexport_key, name='export-key'),
    url(r'export/(?P<login>[\w\-\_\.\@]+)/?$', views.sexport_login, name='export-login'),
    url(r'export_payers/$', views.export_payers, name='export-payers'),
]
